<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

        <link rel="SHORTCUT ICON" href="../../../../../../img/clover.ico" />

    <style type="text/css" media="screen">
        @import url('../../../../../../style.css');
        @import url('../../../../../../roundedcorners.css');
        @import url('../../../../../../tree.css');
            </style>
    
    <script src="../../../../../../sorttable.js" type="text/javascript"></script>
    <script src="../../../../../../overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
    <script src="../../../../../../overlibmws_shadow.js" type="text/javascript" ></script>
    <script src="../../../../../../clover.js" type="text/javascript"></script>
    <script src="../../../../../../cloud.js" type="text/javascript"></script>
    <script src="../../../../../../help.js" type="text/javascript"></script>
  <title>HttpCore NIO 4.3-alpha1</title>
</head>
<body onload="setBrowserTitle('HttpCore NIO 4.3-alpha1: org.apache.http.impl.nio.reactor.testGracefulShutdown');">

<table cellspacing="0" cellpadding="2" class="barGraph">
<tbody>
  <tr>
    <td colspan="6" >
        <div class="roundedLarge">
            <b class="ctop"><b class="cb1"></b><b class="cb2 testHeader"></b><b class="cb3 testHeader"></b><b class="cb4 testHeader"></b></b>
            <div class="roundedContent">
                <table width="100%" cellspacing="0"><tr class="reportHeader ">
                    <td valign="top" class="titleText testHeader">Clover Test Report - <a
                            href="http://hc.apache.org/httpcomponents-core-ga" target="_top">HttpCore NIO 4.3-alpha1</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Wed Nov 28 2012 22:45:05 CET
                    </div>
                                                <div class="navBar">
                            <span><a href="../../../../../../test-pkg-summary.html">Overview</a></span>&nbsp;&nbsp;&nbsp;
                            <span><a href="test-pkg-summary.html">Package</a></span>&nbsp;&nbsp;&nbsp;
                            <span><a href="test-TestDefaultIOReactorsSSL.html">File</a></span>&nbsp;&nbsp;&nbsp;
                            <span class="navBarCurrent">Test</span>
                        </div>
                                                
                        <div class="navBarLink">
                            &nbsp;&nbsp;&nbsp;
                            <a href="../../../../../../index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
                            <a href="TestDefaultIOReactorsSSL_testGracefulShutdown_9g.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
                            <a><label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label></a>&nbsp;&nbsp;                            
                        </div>
                    </td>
                </tr></table>
            </div>
            <b class="cbottom"><b class="cb4 testHeader"></b><b class="cb3 testHeader"></b><b class="cb2 testHeader"></b><b class="cb1"></b></b>
        </div>

    </td>
  </tr>




<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>

<tr>
    <td class="graphHeaderLeft titleText testHeader">Test</td>
        <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_total_unique_coverage;">Unique Coverage</label></td>
        <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_status;">Status</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_time;">Start time</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_time;">Time (seconds)</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_message;">Message</label></td>
</tr>
<tr>
    <td class="graphItem alignTop titleText">
        <a  href="../../../../../../org/apache/http/impl/nio/reactor/TestDefaultIOReactors.html?line=98#src-98" >testGracefulShutdown</a>
    </td>
        <td class="graphPercent alignTop">
        0.6%
    </td>
        <td class="graphPercent alignTop">
                          <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
              </td>
    <td class="graphPercent alignTop">
        28 Nov 22:44:51
    </td>
    <td class="graphPercent alignTop">
        0.035    </td>
    <td class="graphItemRight alignTop">
        <div class="titleText"></div>
        <div class="errorMessage"></div>
    </td>
</tr>
<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>
</tbody>

<tbody>
    <tr>
        <td class="graphHeaderLeft titleText  sortable testHeader" style="white-space:nowrap;" onclick="ts_resortTable(this, 'alpha', 0);return false;"><label onkeyup="return help_test_target_class;">Target Class</label> &nbsp;</td>
                <td class="graphHeader  sortable testHeader" onclick="ts_resortTable(this, 'number', 1);return false;"><label onkeyup="return help_unique_coverage ;">Unique</label> &nbsp;</td>
                <td class="graphHeader  sortable testHeader" colspan="4" onclick="ts_resortTable(this, 'number', 2);return false;"><label onkeyup="return help_test_contribution;">Coverage contributed by</label> <span class="titleText">testGracefulShutdown</span>.</td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.AbstractMultiworkerIOReactor.DefaultThreadFactory</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/nio/reactor/AbstractMultiworkerIOReactor.html?id=340#AbstractMultiworkerIOReactor.DefaultThreadFactory"             title="AbstractMultiworkerIOReactor.DefaultThreadFactory" name="sl-591">org.apache.http.impl.nio.reactor.AbstractMultiworkerIOReactor.DefaultThreadFactory</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">1.0</span>
            100%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="100% Covered" class="barPositive contribBarPositive" style="width: 100%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.ChannelEntry</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/nio/reactor/ChannelEntry.html?id=340#ChannelEntry"             title="ChannelEntry" name="sl-43">org.apache.http.impl.nio.reactor.ChannelEntry</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">1.0</span>
            100%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="100% Covered" class="barPositive contribBarPositive" style="width: 100%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.AbstractMultiworkerIOReactor.Worker</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/nio/reactor/AbstractMultiworkerIOReactor.html?id=340#AbstractMultiworkerIOReactor.Worker"             title="AbstractMultiworkerIOReactor.Worker" name="sl-564">org.apache.http.impl.nio.reactor.AbstractMultiworkerIOReactor.Worker</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.9</span>
            90%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="10% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="90% Covered" class="barPositive contribBarPositive" style="width: 90%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.SessionHttpContext</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/nio/SessionHttpContext.html?id=340#SessionHttpContext"             title="SessionHttpContext" name="sl-33">org.apache.http.impl.nio.SessionHttpContext</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.7777778</span>
            77.8%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="22.2% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="77.8% Covered" class="barPositive contribBarPositive" style="width: 77.8%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.SessionRequestHandle</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/nio/reactor/SessionRequestHandle.html?id=340#SessionRequestHandle"             title="SessionRequestHandle" name="sl-42">org.apache.http.impl.nio.reactor.SessionRequestHandle</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.7777778</span>
            77.8%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="22.2% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="77.8% Covered" class="barPositive contribBarPositive" style="width: 77.8%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.pool.BasicNIOPoolEntry</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/nio/pool/BasicNIOPoolEntry.html?id=340#BasicNIOPoolEntry"             title="BasicNIOPoolEntry" name="sl-45">org.apache.http.impl.nio.pool.BasicNIOPoolEntry</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.71428573</span>
            71.4%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="28.6% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="71.4% Covered" class="barPositive contribBarPositive" style="width: 71.4%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.pool.LeaseRequest</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/nio/pool/LeaseRequest.html?id=340#LeaseRequest"             title="LeaseRequest" name="sl-34">org.apache.http.nio.pool.LeaseRequest</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.6666667</span>
            66.7%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="33.3% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="66.7% Covered" class="barPositive contribBarPositive" style="width: 66.7%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.AbstractIOReactor</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/nio/reactor/AbstractIOReactor.html?id=340#AbstractIOReactor"             title="AbstractIOReactor" name="sl-59">org.apache.http.impl.nio.reactor.AbstractIOReactor</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0037313432</span>
                0.4%
                                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.60820895</span>
            60.8%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="39.2% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="60.8% Covered" class="barPositive contribBarPositive" style="width: 60.8%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.AbstractIODispatch</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/nio/reactor/AbstractIODispatch.html?id=340#AbstractIODispatch"             title="AbstractIODispatch" name="sl-45">org.apache.http.impl.nio.reactor.AbstractIODispatch</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.020833334</span>
                2.1%
                                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.5729167</span>
            57.3%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="42.7% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="57.3% Covered" class="barPositive contribBarPositive" style="width: 57.3%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.AbstractMultiworkerIOReactor</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/nio/reactor/AbstractMultiworkerIOReactor.html?id=340#AbstractMultiworkerIOReactor"             title="AbstractMultiworkerIOReactor" name="sl-98">org.apache.http.impl.nio.reactor.AbstractMultiworkerIOReactor</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.5423729</span>
            54.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="45.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="54.2% Covered" class="barPositive contribBarPositive" style="width: 54.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.BaseIOReactor</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/nio/reactor/BaseIOReactor.html?id=340#BaseIOReactor"             title="BaseIOReactor" name="sl-55">org.apache.http.impl.nio.reactor.BaseIOReactor</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.022988506</span>
                2.3%
                                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.52873564</span>
            52.9%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="47.1% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="52.9% Covered" class="barPositive contribBarPositive" style="width: 52.9%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.reactor.ssl.SSLIOSession</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/nio/reactor/ssl/SSLIOSession.html?id=340#SSLIOSession"             title="SSLIOSession" name="sl-71">org.apache.http.nio.reactor.ssl.SSLIOSession</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.005988024</span>
                0.6%
                                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.5269461</span>
            52.7%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="47.3% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="52.7% Covered" class="barPositive contribBarPositive" style="width: 52.7%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.DefaultConnectingIOReactor</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/nio/reactor/DefaultConnectingIOReactor.html?id=340#DefaultConnectingIOReactor"             title="DefaultConnectingIOReactor" name="sl-60">org.apache.http.impl.nio.reactor.DefaultConnectingIOReactor</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.50714284</span>
            50.7%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="49.3% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="50.7% Covered" class="barPositive contribBarPositive" style="width: 50.7%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.util.HeapByteBufferAllocator</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/nio/util/HeapByteBufferAllocator.html?id=340#HeapByteBufferAllocator"             title="HeapByteBufferAllocator" name="sl-41">org.apache.http.nio.util.HeapByteBufferAllocator</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.5</span>
            50%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="50% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="50% Covered" class="barPositive contribBarPositive" style="width: 50%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.DefaultHttpServerIODispatch</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/nio/DefaultHttpServerIODispatch.html?id=340#DefaultHttpServerIODispatch"             title="DefaultHttpServerIODispatch" name="sl-53">org.apache.http.impl.nio.DefaultHttpServerIODispatch</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.05882353</span>
                5.9%
                                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.44117647</span>
            44.1%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="55.9% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="44.1% Covered" class="barPositive contribBarPositive" style="width: 44.1%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.DefaultListeningIOReactor</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/nio/reactor/DefaultListeningIOReactor.html?id=340#DefaultListeningIOReactor"             title="DefaultListeningIOReactor" name="sl-60">org.apache.http.impl.nio.reactor.DefaultListeningIOReactor</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.37762237</span>
            37.8%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="62.2% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="37.8% Covered" class="barPositive contribBarPositive" style="width: 37.8%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.IOSessionImpl</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/nio/reactor/IOSessionImpl.html?id=340#IOSessionImpl"             title="IOSessionImpl" name="sl-54">org.apache.http.impl.nio.reactor.IOSessionImpl</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.34653464</span>
            34.7%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="65.3% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="34.7% Covered" class="barPositive contribBarPositive" style="width: 34.7%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.pool.AbstractNIOConnPool</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/nio/pool/AbstractNIOConnPool.html?id=340#AbstractNIOConnPool"             title="AbstractNIOConnPool" name="sl-67">org.apache.http.nio.pool.AbstractNIOConnPool</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.32596686</span>
            32.6%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="67.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="32.6% Covered" class="barPositive contribBarPositive" style="width: 32.6%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.protocol.HttpAsyncService.State</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/nio/protocol/HttpAsyncService.html?id=340#HttpAsyncService.State"             title="HttpAsyncService.State" name="sl-608">org.apache.http.nio.protocol.HttpAsyncService.State</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.32394367</span>
            32.4%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="67.6% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="32.4% Covered" class="barPositive contribBarPositive" style="width: 32.4%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.SessionRequestImpl</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/nio/reactor/SessionRequestImpl.html?id=340#SessionRequestImpl"             title="SessionRequestImpl" name="sl-47">org.apache.http.impl.nio.reactor.SessionRequestImpl</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.30075186</span>
            30.1%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="69.9% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="30.1% Covered" class="barPositive contribBarPositive" style="width: 30.1%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.pool.RouteSpecificPool</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/nio/pool/RouteSpecificPool.html?id=340#RouteSpecificPool"             title="RouteSpecificPool" name="sl-44">org.apache.http.nio.pool.RouteSpecificPool</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.2881356</span>
            28.8%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="71.2% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="28.8% Covered" class="barPositive contribBarPositive" style="width: 28.8%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.DefaultHttpClientIODispatch</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/nio/DefaultHttpClientIODispatch.html?id=340#DefaultHttpClientIODispatch"             title="DefaultHttpClientIODispatch" name="sl-53">org.apache.http.impl.nio.DefaultHttpClientIODispatch</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.2857143</span>
            28.6%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="71.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="28.6% Covered" class="barPositive contribBarPositive" style="width: 28.6%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.DefaultHttpRequestWriter</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/nio/codecs/DefaultHttpRequestWriter.html?id=340#DefaultHttpRequestWriter"             title="DefaultHttpRequestWriter" name="sl-48">org.apache.http.impl.nio.codecs.DefaultHttpRequestWriter</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.2857143</span>
            28.6%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="71.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="28.6% Covered" class="barPositive contribBarPositive" style="width: 28.6%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.DefaultHttpResponseWriter</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/nio/codecs/DefaultHttpResponseWriter.html?id=340#DefaultHttpResponseWriter"             title="DefaultHttpResponseWriter" name="sl-48">org.apache.http.impl.nio.codecs.DefaultHttpResponseWriter</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.2857143</span>
            28.6%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="71.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="28.6% Covered" class="barPositive contribBarPositive" style="width: 28.6%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.protocol.HttpAsyncRequestExecutor.State</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/nio/protocol/HttpAsyncRequestExecutor.html?id=340#HttpAsyncRequestExecutor.State"             title="HttpAsyncRequestExecutor.State" name="sl-392">org.apache.http.nio.protocol.HttpAsyncRequestExecutor.State</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.27272728</span>
            27.3%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="72.7% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="27.3% Covered" class="barPositive contribBarPositive" style="width: 27.3%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.AbstractMessageParser</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/nio/codecs/AbstractMessageParser.html?id=340#AbstractMessageParser"             title="AbstractMessageParser" name="sl-59">org.apache.http.impl.nio.codecs.AbstractMessageParser</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.27118644</span>
            27.1%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="72.9% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="27.1% Covered" class="barPositive contribBarPositive" style="width: 27.1%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.ListenerEndpointImpl</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/nio/reactor/ListenerEndpointImpl.html?id=340#ListenerEndpointImpl"             title="ListenerEndpointImpl" name="sl-45">org.apache.http.impl.nio.reactor.ListenerEndpointImpl</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.2625</span>
            26.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="73.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="26.2% Covered" class="barPositive contribBarPositive" style="width: 26.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.pool.BasicNIOConnPool</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/nio/pool/BasicNIOConnPool.html?id=340#BasicNIOConnPool"             title="BasicNIOConnPool" name="sl-60">org.apache.http.impl.nio.pool.BasicNIOConnPool</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.26086956</span>
            26.1%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="73.9% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="26.1% Covered" class="barPositive contribBarPositive" style="width: 26.1%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.util.ExpandableBuffer</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/nio/util/ExpandableBuffer.html?id=340#ExpandableBuffer"             title="ExpandableBuffer" name="sl-47">org.apache.http.nio.util.ExpandableBuffer</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.25</span>
            25%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="75% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="25% Covered" class="barPositive contribBarPositive" style="width: 25%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.reactor.ssl.SSLIOSession.InternalByteChannel</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/nio/reactor/ssl/SSLIOSession.html?id=340#SSLIOSession.InternalByteChannel"             title="SSLIOSession.InternalByteChannel" name="sl-601">org.apache.http.nio.reactor.ssl.SSLIOSession.InternalByteChannel</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.25</span>
            25%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="75% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="25% Covered" class="barPositive contribBarPositive" style="width: 25%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.pool.AbstractNIOConnPool.InternalSessionRequestCallback</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/nio/pool/AbstractNIOConnPool.html?id=340#AbstractNIOConnPool.InternalSessionRequestCallback"             title="AbstractNIOConnPool.InternalSessionRequestCallback" name="sl-555">org.apache.http.nio.pool.AbstractNIOConnPool.InternalSessionRequestCallback</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.25</span>
            25%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="75% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="25% Covered" class="barPositive contribBarPositive" style="width: 25%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.DefaultHttpRequestParser</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/nio/codecs/DefaultHttpRequestParser.html?id=340#DefaultHttpRequestParser"             title="DefaultHttpRequestParser" name="sl-54">org.apache.http.impl.nio.codecs.DefaultHttpRequestParser</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.23529412</span>
            23.5%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="76.5% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="23.5% Covered" class="barPositive contribBarPositive" style="width: 23.5%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.DefaultHttpResponseParser</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/nio/codecs/DefaultHttpResponseParser.html?id=340#DefaultHttpResponseParser"             title="DefaultHttpResponseParser" name="sl-54">org.apache.http.impl.nio.codecs.DefaultHttpResponseParser</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.23529412</span>
            23.5%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="76.5% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="23.5% Covered" class="barPositive contribBarPositive" style="width: 23.5%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.AbstractMessageWriter</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/nio/codecs/AbstractMessageWriter.html?id=340#AbstractMessageWriter"             title="AbstractMessageWriter" name="sl-53">org.apache.http.impl.nio.codecs.AbstractMessageWriter</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.23076923</span>
            23.1%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="76.9% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="23.1% Covered" class="barPositive contribBarPositive" style="width: 23.1%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.DefaultHttpRequestWriterFactory</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/nio/codecs/DefaultHttpRequestWriterFactory.html?id=340#DefaultHttpRequestWriterFactory"             title="DefaultHttpRequestWriterFactory" name="sl-44">org.apache.http.impl.nio.codecs.DefaultHttpRequestWriterFactory</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.22222222</span>
            22.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="77.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="22.2% Covered" class="barPositive contribBarPositive" style="width: 22.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.DefaultHttpResponseWriterFactory</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/nio/codecs/DefaultHttpResponseWriterFactory.html?id=340#DefaultHttpResponseWriterFactory"             title="DefaultHttpResponseWriterFactory" name="sl-44">org.apache.http.impl.nio.codecs.DefaultHttpResponseWriterFactory</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.22222222</span>
            22.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="77.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="22.2% Covered" class="barPositive contribBarPositive" style="width: 22.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.pool.BasicNIOConnFactory</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/nio/pool/BasicNIOConnFactory.html?id=340#BasicNIOConnFactory"             title="BasicNIOConnFactory" name="sl-59">org.apache.http.impl.nio.pool.BasicNIOConnFactory</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.21875</span>
            21.9%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="78.1% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="21.9% Covered" class="barPositive contribBarPositive" style="width: 21.9%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.protocol.UriHttpAsyncRequestHandlerMapper</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/nio/protocol/UriHttpAsyncRequestHandlerMapper.html?id=340#UriHttpAsyncRequestHandlerMapper"             title="UriHttpAsyncRequestHandlerMapper" name="sl-52">org.apache.http.nio.protocol.UriHttpAsyncRequestHandlerMapper</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.20833333</span>
            20.8%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="79.2% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="20.8% Covered" class="barPositive contribBarPositive" style="width: 20.8%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.DefaultNHttpServerConnection</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/nio/DefaultNHttpServerConnection.html?id=340#DefaultNHttpServerConnection"             title="DefaultNHttpServerConnection" name="sl-76">org.apache.http.impl.nio.DefaultNHttpServerConnection</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.1923077</span>
            19.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="80.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="19.2% Covered" class="barPositive contribBarPositive" style="width: 19.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.NHttpConnectionBase</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/nio/NHttpConnectionBase.html?id=340#NHttpConnectionBase"             title="NHttpConnectionBase" name="sl-97">org.apache.http.impl.nio.NHttpConnectionBase</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.18454936</span>
            18.5%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="81.5% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="18.5% Covered" class="barPositive contribBarPositive" style="width: 18.5%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.protocol.HttpAsyncService</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/nio/protocol/HttpAsyncService.html?id=340#HttpAsyncService"             title="HttpAsyncService" name="sl-98">org.apache.http.nio.protocol.HttpAsyncService</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.18154761</span>
            18.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="81.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="18.2% Covered" class="barPositive contribBarPositive" style="width: 18.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.DefaultHttpRequestParserFactory</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/nio/codecs/DefaultHttpRequestParserFactory.html?id=340#DefaultHttpRequestParserFactory"             title="DefaultHttpRequestParserFactory" name="sl-47">org.apache.http.impl.nio.codecs.DefaultHttpRequestParserFactory</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.16666667</span>
            16.7%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="83.3% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="16.7% Covered" class="barPositive contribBarPositive" style="width: 16.7%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.codecs.DefaultHttpResponseParserFactory</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/nio/codecs/DefaultHttpResponseParserFactory.html?id=340#DefaultHttpResponseParserFactory"             title="DefaultHttpResponseParserFactory" name="sl-47">org.apache.http.impl.nio.codecs.DefaultHttpResponseParserFactory</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.16666667</span>
            16.7%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="83.3% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="16.7% Covered" class="barPositive contribBarPositive" style="width: 16.7%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.IOReactorConfig</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/nio/reactor/IOReactorConfig.html?id=340#IOReactorConfig"             title="IOReactorConfig" name="sl-42">org.apache.http.impl.nio.reactor.IOReactorConfig</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.16</span>
            16%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="84% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="16% Covered" class="barPositive contribBarPositive" style="width: 16%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.protocol.HttpAsyncRequestExecutor</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/nio/protocol/HttpAsyncRequestExecutor.html?id=340#HttpAsyncRequestExecutor"             title="HttpAsyncRequestExecutor" name="sl-79">org.apache.http.nio.protocol.HttpAsyncRequestExecutor</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.15</span>
            15%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="85% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="15% Covered" class="barPositive contribBarPositive" style="width: 15%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.SessionInputBufferImpl</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/nio/reactor/SessionInputBufferImpl.html?id=340#SessionInputBufferImpl"             title="SessionInputBufferImpl" name="sl-61">org.apache.http.impl.nio.reactor.SessionInputBufferImpl</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.12637363</span>
            12.6%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="87.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="12.6% Covered" class="barPositive contribBarPositive" style="width: 12.6%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.protocol.HttpAsyncRequester</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/nio/protocol/HttpAsyncRequester.html?id=340#HttpAsyncRequester"             title="HttpAsyncRequester" name="sl-61">org.apache.http.nio.protocol.HttpAsyncRequester</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.12280702</span>
            12.3%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="87.7% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="12.3% Covered" class="barPositive contribBarPositive" style="width: 12.3%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.DefaultNHttpClientConnection</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/nio/DefaultNHttpClientConnection.html?id=340#DefaultNHttpClientConnection"             title="DefaultNHttpClientConnection" name="sl-75">org.apache.http.impl.nio.DefaultNHttpClientConnection</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.05263158</span>
            5.3%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="94.7% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="5.3% Covered" class="barPositive contribBarPositive" style="width: 5.3%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.reactor.SessionOutputBufferImpl</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/nio/reactor/SessionOutputBufferImpl.html?id=340#SessionOutputBufferImpl"             title="SessionOutputBufferImpl" name="sl-61">org.apache.http.impl.nio.reactor.SessionOutputBufferImpl</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.03125</span>
            3.1%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="96.9% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="3.1% Covered" class="barPositive contribBarPositive" style="width: 3.1%"></div>
    </div>
</div>        </td>
    </tr>
 </tbody>
<tbody>
<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>
<tr><td class="footer" colspan="6">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="../../../../../../img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Wed Nov 28 2012 22:45:34 CET</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></tbody>
</table>
</body>
</html>
